# Uses of Enum
com.databricks.jdbc.model.core.ColumnInfoTypeName

Packages that use ColumnInfoTypeName
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.impl.arrow
com.databricks.jdbc.api.impl.converters
com.databricks.jdbc.common.util
com.databricks.jdbc.model.core

## Uses of ColumnInfoTypeName in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that return ColumnInfoTypeName
Modifier and Type
Method
Description
`ColumnInfoTypeName`
ImmutableSqlParameter.`type()`
`ColumnInfoTypeName`
SqlParameter.`type()`
Methods in com.databricks.jdbc.api.impl with parameters of type ColumnInfoTypeName
Modifier and Type
Method
Description
`final ImmutableSqlParameter.Builder`
ImmutableSqlParameter.Builder.`type(ColumnInfoTypeName type)`
Initializes the value for the `type` attribute.
`final ImmutableSqlParameter`
ImmutableSqlParameter.`withType(ColumnInfoTypeName value)`
Copy the current immutable object by setting a value for the `type` attribute.

## Uses of ColumnInfoTypeName in com.databricks.jdbc.api.impl.arrow

Methods in com.databricks.jdbc.api.impl.arrow with parameters of type ColumnInfoTypeName
Modifier and Type
Method
Description
`static boolean`
ArrowStreamResult.`isComplexType(ColumnInfoTypeName type)`
Checks if the given type is a complex type (ARRAY, MAP, or STRUCT).

## Uses of ColumnInfoTypeName in com.databricks.jdbc.api.impl.converters

Methods in com.databricks.jdbc.api.impl.converters with parameters of type ColumnInfoTypeName
Modifier and Type
Method
Description
`static Object`
ArrowToJavaObjectConverter.`convert(org.apache.arrow.vector.ValueVector columnVector, int vectorIndex, ColumnInfoTypeName requiredType, String arrowMetadata, ColumnInfo columnInfo)`

## Uses of ColumnInfoTypeName in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util that return ColumnInfoTypeName
Modifier and Type
Method
Description
`static ColumnInfoTypeName`
DatabricksTypeUtil.`getColumnInfoType(String typeName)`
Methods in com.databricks.jdbc.common.util with parameters of type ColumnInfoTypeName
Modifier and Type
Method
Description
`static int`
DatabricksTypeUtil.`getColumnType(ColumnInfoTypeName typeName)`
`static String`
DatabricksTypeUtil.`getColumnTypeClassName(ColumnInfoTypeName typeName)`
`static int`
DatabricksTypeUtil.`getDisplaySize(ColumnInfoTypeName typeName, int precision, int scale)`
`static boolean`
DatabricksTypeUtil.`isSigned(ColumnInfoTypeName typeName)`

## Uses of ColumnInfoTypeName in com.databricks.jdbc.model.core

Subclasses with type arguments of type ColumnInfoTypeName in com.databricks.jdbc.model.core
Modifier and Type
Class
Description
`enum`
`ColumnInfoTypeName`
Column info type name POJO
Methods in com.databricks.jdbc.model.core that return ColumnInfoTypeName
Modifier and Type
Method
Description
`ColumnInfoTypeName`
ColumnInfo.`getTypeName()`
`static ColumnInfoTypeName`
ColumnInfoTypeName.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ColumnInfoTypeName[]`
ColumnInfoTypeName.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.core with parameters of type ColumnInfoTypeName
Modifier and Type
Method
Description
`ColumnInfo`
ColumnInfo.`setTypeName(ColumnInfoTypeName typeName)`